Package org.apache.batchee.extras.transaction.integration

## Class JTASynchronizationService

- java.lang.Object
- - org.apache.batchee.extras.transaction.integration.JTASynchronizationService

- All Implemented Interfaces:
    `SynchronizationService`

      public class JTASynchronizationService
      extends Object
      implements SynchronizationService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.batchee.extras.transaction.integration.SynchronizationService

      `SynchronizationService.OnCommit, SynchronizationService.Synchronization`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JTASynchronizationService​(String jndi)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get​(Object key)` |
    `boolean` | `hasTransaction()` |
    `void` | `put​(Object key, Object value)` |
    `void` | `registerSynchronization​(SynchronizationService.Synchronization s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JTASynchronizationService

          public JTASynchronizationService​(String jndi)

  - ### Method Detail

    - #### registerSynchronization

          public void registerSynchronization​(SynchronizationService.Synchronization s)

      Specified by:
        `registerSynchronization` in interface `SynchronizationService`

    - #### hasTransaction

          public boolean hasTransaction()

      Specified by:
        `hasTransaction` in interface `SynchronizationService`

    - #### put

          public void put​(Object key,
                          Object value)

      Specified by:
        `put` in interface `SynchronizationService`

    - #### get

          public Object get​(Object key)

      Specified by:
        `get` in interface `SynchronizationService`